# Uses of Record Class
org.apache.lucene.search.vectorhighlight.FieldFragList.WeightedFragInfo.SubInfo

Packages that use FieldFragList.WeightedFragInfo.SubInfo
Package
Description
org.apache.lucene.search.vectorhighlight
Another highlighter implementation based on term vectors.

## Uses of FieldFragList.WeightedFragInfo.SubInfo in org.apache.lucene.search.vectorhighlight

Methods in org.apache.lucene.search.vectorhighlight that return types with arguments of type FieldFragList.WeightedFragInfo.SubInfo
Modifier and Type
Method
Description
`List<FieldFragList.WeightedFragInfo.SubInfo>`
FieldFragList.WeightedFragInfo.`getSubInfos()`
Constructor parameters in org.apache.lucene.search.vectorhighlight with type arguments of type FieldFragList.WeightedFragInfo.SubInfo
Modifier
Constructor
Description
``
`WeightedFragInfo(int startOffset, int endOffset, List<FieldFragList.WeightedFragInfo.SubInfo> subInfos, float totalBoost)`